Subject: File descriptor leak

From: Andrew Chambers <[email-masked]>
Date: Sun, 8 May 2022 16:44:13 +1200

I have an especially large redo build (for building musl-libc) and I get 
the error:

main.go:506: src/stdio/putw.o: open /home/ac/src/musl/default.do: too 
many open files

I am using goredo 1.24.0 built with go1.16.9. I am fairly sure this is a 
file descriptor leak in goredo, as I don't have any problems with other 
redo implementations.

I have attached the default.do file that must be placed at the root of a 
musl v1.2.3 file tree.